
QGIS Application - Bug report #8314

Test suite still used PyQt API v1

2013-07-17 01:54 AM - Alexander Bruy

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17107

Description

Seems tests still not switched to SIP API v2, see http://dash.orfeo-toolbox.org/testDetails.php?test=17042104&#38;build=123717 and 

http://dash.orfeo-toolbox.org/testDetails.php?test=18029165&#38;build=123716. Maybe this is the reason why accessing fields by name

doesn't work in tests.

Associated revisions

Revision 51074d7b - 2013-07-19 09:59 PM - Jürgen Fischer

test fixes:

    -  port python test to sip api v2 (fixes #8314)

    -  introduce compareWkt for more tolerant WKT comparisions in C++ tests

    -  require UTF-8 locale for regression1141 test on linux

History

#1 - 2013-07-18 01:43 AM - Jürgen Fischer

- Assignee set to Nathan Woodrow

#2 - 2013-07-19 11:51 AM - Jürgen Fischer

- Assignee changed from Nathan Woodrow to Jürgen Fischer

#3 - 2013-07-19 01:04 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"51074d7b82aa245ab6fadf04df54302b1d9c2217".
